## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
          org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObject
              org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment
                  org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Direct Known Subclasses:
  EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseResolving, EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverseUnsettable

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse

extends EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObject
`eClass, inverseFeature`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`feature, NIL`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse(EClass eClass, EStructuralFeature feature, EReference inverseFeature)`

Method Summary
`protected boolean` `hasInverse()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainment
`isContainment`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleEObject
`dynamicGet, dynamicInverseAdd, dynamicInverseRemove, dynamicIsSet, dynamicSet, dynamicUnset, isResolveProxies, isUnsettable`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`dynamicSetting`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse

    public EStructuralFeatureImpl.InternalSettingDelegateSingleEObjectContainmentWithInverse(EClass eClass,
                                                                                             EStructuralFeature feature,
                                                                                             EReference inverseFeature)

Method Detail

### hasInverse

    protected boolean hasInverse()

  Overrides:
    `hasInverse` in class `EStructuralFeatureImpl.InternalSettingDelegateSingleEObject`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.